Documentation IndexFetch the complete documentation index at: /llms.txtUse this file to discover all available pages before exploring further.
Fetch the complete documentation index at: /llms.txt
Use this file to discover all available pages before exploring further.
Query blocks, chain info, and hashes on Alephium.
fromGroup
toGroup
0
1
2
3
curl "https://rpc.ralphstudio.xyz/{slug}/blockflow/chain-info?fromGroup=0&toGroup=0" \ -H "Authorization: Bearer API_KEY"
{ "currentHeight": 12973 }
curl "https://rpc.ralphstudio.xyz/{slug}/blockflow/hashes?fromGroup=0&toGroup=0&height=12900" \ -H "Authorization: Bearer API_KEY"
{ "headers": ["00000000ab3c..."] }
curl "https://rpc.ralphstudio.xyz/{slug}/blockflow/blocks/{block-hash}" \ -H "Authorization: Bearer API_KEY"
{ "hash": "00000000ab3c...", "timestamp": 1748476800000, "chainFrom": 0, "chainTo": 0, "height": 12900, "deps": [...], "transactions": [...], "nonce": "...", "version": 0, "depStateHash": "...", "txsHash": "...", "target": "..." }
curl "https://rpc.ralphstudio.xyz/{slug}/blockflow/blocks?fromTs=1748476800000&toTs=1748480400000" \ -H "Authorization: Bearer API_KEY"
curl "https://rpc.ralphstudio.xyz/{slug}/blockflow/main-chain-block-by-height?fromGroup=0&toGroup=0&height=12900" \ -H "Authorization: Bearer API_KEY"
curl "https://rpc.ralphstudio.xyz/{slug}/blockflow/blocks-with-events?fromTs=1748476800000&toTs=1748480400000" \ -H "Authorization: Bearer API_KEY"
curl "https://rpc.ralphstudio.xyz/{slug}/blockflow/is-block-in-main-chain?blockHash={block-hash}" \ -H "Authorization: Bearer API_KEY"
{ "isInMainChain": true }